TaggedValue (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.avid

## Interface TaggedValue

- All Superinterfaces:
    InterchangeObject, MediaEntity, MetadataObject, TaggedValue

      public interface TaggedValue
      extends TaggedValue

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendTaggedValueAttributeItem(TaggedValue taggedValueAttributeItem)`
    `void` | `clearTaggedValueAttributeList()`
    `int` | `countTaggedValueAttributeList()`
    `InterchangeObject` | `getPortableObject()`
    `int` | `getPortableObjectClassID()`
    `TaggedValue` | `getTaggedValueAttributeItemAt(int index)`
    `List<? extends TaggedValue>` | `getTaggedValueAttributeList()`
    `void` | `insertTaggedValueAttributeItem(int index, TaggedValue taggedValueAttributeItem)`
    `void` | `prependTaggedValueAttributeItem(TaggedValue taggedValueAttributeItem)`
    `void` | `removeTaggedValueAttributeItemAt(int index)`
    `void` | `setPortableObject(InterchangeObject portableObject)`
    `void` | `setPortableObjectClassID(Integer portableObjectClassID)`

    - ### Methods inherited from interface tv.amwa.maj.model.TaggedValue

      `clone, getIndirectTypeDefinition, getIndirectValue, getTag, setIndirectValue`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getTaggedValueAttributeList

          List<? extends TaggedValue> getTaggedValueAttributeList()
                                                           throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### appendTaggedValueAttributeItem

          void appendTaggedValueAttributeItem(TaggedValue taggedValueAttributeItem)
                                       throws NullPointerException

      Throws:
        `NullPointerException`

    - #### prependTaggedValueAttributeItem

          void prependTaggedValueAttributeItem(TaggedValue taggedValueAttributeItem)
                                        throws NullPointerException

      Throws:
        `NullPointerException`

    - #### insertTaggedValueAttributeItem

          void insertTaggedValueAttributeItem(int index,
                                              TaggedValue taggedValueAttributeItem)
                                       throws NullPointerException,
                                              IndexOutOfBoundsException

      Throws:
        `NullPointerException`
        `IndexOutOfBoundsException`

    - #### countTaggedValueAttributeList

          int countTaggedValueAttributeList()

    - #### clearTaggedValueAttributeList

          void clearTaggedValueAttributeList()

    - #### getTaggedValueAttributeItemAt

          TaggedValue getTaggedValueAttributeItemAt(int index)
                                             throws IndexOutOfBoundsException

      Throws:
        `IndexOutOfBoundsException`

    - #### removeTaggedValueAttributeItemAt

          void removeTaggedValueAttributeItemAt(int index)
                                         throws IndexOutOfBoundsException

      Throws:
        `IndexOutOfBoundsException`

    - #### getPortableObjectClassID

          @UInt32
          int getPortableObjectClassID()
                                        throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setPortableObjectClassID

          void setPortableObjectClassID(@UInt32
                                        Integer portableObjectClassID)
                                 throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getPortableObject

          InterchangeObject getPortableObject()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setPortableObject

          void setPortableObject(InterchangeObject portableObject)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.